package jalview.ext.treeviewer;

import java.awt.Container;
import java.awt.Dimension;
import java.awt.MenuContainer;
import java.awt.image.ImageObserver;

import javax.accessibility.Accessible;
import javax.swing.RootPaneContainer;
import javax.swing.WindowConstants;
import javax.swing.event.InternalFrameListener;

public interface ExternalTreeFrame
        extends Accessible, WindowConstants, RootPaneContainer,
        ImageObserver, MenuContainer
{
  public abstract ExternalTreePanel getTreePanel();

  public abstract ExternalTreeI getTree();

  public abstract void checkMultipleTrees();

  public abstract int getNumberOfTrees();

  public ExternalTreeControlsI getTreeControls();

  public void addFrameListener(InternalFrameListener listener);

  public void removeFrameListener(InternalFrameListener listener);

  public InternalFrameListener[] getFrameListeners();

  public void repaint();

  public void setMinimumSize(Dimension dimension);

  public boolean isShowing();

  public Container getTopLevelAncestor();

  public void addFrameToJalview(String title, boolean makeVisible,
          int width, int height, boolean resizable, boolean ignoreMinSize);


}
